import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
export declare class TooltipComponent implements AfterViewInit, OnDestroy {
    private _elementRef;
    private _changeDetector;
    private _renderer;
    set hostElement(value: HTMLElement);
    get hostElement(): HTMLElement;
    toolTip: SafeHtml | string;
    tooltipClosed: EventEmitter<void>;
    showClass(): boolean;
    top: number;
    left: number;
    bottom: boolean;
    animate: boolean;
    private _hostElement;
    private _documentClickListener;
    constructor(_elementRef: ElementRef, _changeDetector: ChangeDetectorRef, _renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private _positionTooltip;
    private closeTooltip;
}
